.form-group.input-material {
    position: relative;
    margin-top: 20px;
    margin-bottom: 30px;
}
.form-group.input-material label {
    color: #898989;
    font-size: 16px;
    font-weight: normal;
    position: absolute;
    pointer-events: none;
    left: 5px;
    top: 7px;
    transition: 0.1s ease all;
    -moz-transition: 0.1s ease all;
    -webkit-transition: 0.1s ease all;
}
.form-group.input-material .form-control {
    border: none;
    border-bottom: 1px solid #898989;
    border-radius: 0px;
    background: transparent;
    padding-left: 5px;
    box-shadow: none;
    font-size: 14px;
    /* active state */
    /* invalid state */
}
.form-group.input-material .form-control:focus,
.form-group.input-material 
// .form-control[value]:not([value=""])
{
    border-bottom-color: #1fae4b;
    color: #000;
}
.form-group.input-material .form-control:focus ~ label,
.form-group.input-material .form-control[value]:not([value=""]) ~ label {
    top: -18px;
    font-size: 12px;
    // color: #1fae4b;
    font-weight: 500;
}
.form-group.input-material .form-control:focus.invalid,
.form-group.input-material .form-control.invalid,
.form-group.input-material .form-control:focus.parsley-error,
.form-group.input-material .form-control[value]:not([value=""]).parsley-error {
    border-bottom-color: #dc3545;
}
.form-group.input-material .form-control:focus.invalid ~ label,
.form-group.input-material .form-control.invalid ~ label,
.form-group.input-material .form-control:focus.parsley-error ~ label,
.form-group.input-material .form-control[value]:not([value=""]).parsley-error ~ label {
    color: #dc3545;
}
.form-group.input-material .parsley-errors-list {
    color: #dc3545;
    list-style: none;
    font-size: 0.7em;
    padding-left: 5px;
}

.employee-options {
    border: none;
    background: #f0f1f6;
    border-radius: 19px;
    padding: 7px 26px;
    font-size: 14px;
    margin-bottom: 10px;
    margin-right: 12px;
}
.option-selected {
    background: #000;
    color: #fff;
}
#inputState {
    .form-group.input-material label {
        color: transparent;
    }
}

#inputState {
    .form-group.input-material .form-control:focus ~ label,
    .form-group.input-material .form-control[value]:not([value=""]) ~ label {
        top: -18px;
        font-size: 12px;
        color: #898989;
        font-weight: 500;
    }
}

#inputStateselect {
    // Base Variables
    $colour-primary: #898989;
    $colour-secondary: #898989;
    $colour-grey: #555555;
    $grid-gutter-width: 30px;
    $input-padding-horizontal: $grid-gutter-width / 3;
    $input-padding-vertical: $grid-gutter-width / 3;

    // Linear Gradient Mixin
    @mixin horizontal-gradient($from, $to, $stop: 100%) {
        background-color: $from;
        background-image: -moz-linear-gradient(left, $from 0%, $to $stop);
        background-image: -webkit-gradient(linear, left top, right top, color-stop(0%, $from), color-stop($stop, $to));
        background-image: -webkit-linear-gradient(left, $from 0%, $to $stop);
        background-image: -o-linear-gradient(left, $from 0%, $to $stop);
        background: -ms-linear-gradient(left, $from 0%, $to $stop);
        background: linear-gradient(to right, $from 0%, $to $stop);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='$from', endColorstr='$to',GradientType=1 );
    }

    // Basic form styling

    .form-row {
        margin-left: -$grid-gutter-width / 2;
        margin-right: -$grid-gutter-width / 2;
        .form-group {
            padding: $grid-gutter-width / 2 $grid-gutter-width / 2 0;
            align-self: flex-end;
        }
    }

    .form-group {
        position: relative;
        padding-top: $grid-gutter-width / 2;
        margin-bottom: $grid-gutter-width;
        margin-right: 6px;
    }

    .form-control {
        border: 0;
        border-radius: 0;
        padding: $grid-gutter-width / 3 $input-padding-horizontal;
        background-color: transparent;
        position: relative;
        z-index: 2;
        font-size: 0.9rem;

        &:not(textarea) {
            height: 44px;
        }

        + label {
            position: absolute;
            z-index: 1;
            top: $input-padding-vertical + $grid-gutter-width / 2;
            margin: 0;
            transition: all 0.2s ease-in-out;
            pointer-events: none;
            left: $input-padding-horizontal;
            right: $input-padding-horizontal;
        }

        &:focus {
            box-shadow: none;
            background-color: transparent;
        }

        &:focus {
            + label {
                color: $colour-primary;
            }
        }

        &:focus,
        &.has-value {
            + label {
                font-size: 14px;
                top: 0;
                color: #898989;
            }
        }
    }

    // Position labels for when javascript is disabled
    .no-js {
        .form-control + label {
            font-size: 0.75rem;
            top: 0;
        }
    }

    .form-row {
        .form-control {
            + label {
                left: $grid-gutter-width / 2 + $input-padding-horizontal;
                right: $grid-gutter-width / 2 + $input-padding-horizontal;
            }
        }
        .linebottom {
            left: $grid-gutter-width / 2;
            right: $grid-gutter-width / 2;
        }
    }

    .linebottom {
        position: absolute;
        display: block;
        bottom: 0;
        left: 0;
        right: 0;
        height: 1px;
        @include horizontal-gradient($colour-primary, $colour-secondary);
        &:after {
            content: "";
            height: 1px;
            position: absolute;
            display: block;
            background: $colour-primary;
            left: 0;
            right: 0;
            transform: scaleX(0);
            transition: transform 0.2s ease-in-out;
            transform-origin: 0 0;
        }
    }

    .form-control:focus {
        ~ .linebottom {
            &:after {
                transform: scaleX(1);
            }
        }
    }

    // Remove Bootstrap 4 height from select
    select.form-control:not([size]):not([multiple]) {
        height: 44px;
    }
}
